#pragma once

#define SIZE_OF_ENVIRONMENT_X 100
#define SIZE_OF_ENVIRONMENT_Y	50

#define NUMBER_OF_ALGAE 600
#define NUMBER_OF_AMOEBA 30

#define ALGAE_REPRODUCTION_ENERGY 40
#define AMOEBA_REPRODUCTION_ENERGY 80
#define ENERGY_FOR_REPRODUCTION 40

#define MAX_ALGAE_AGE 5
#define MAX_AMOEBA_AGE 30

#define SUNLIGHT 50

#define _CRTDBG_MAP_ALLOC
